AA-SETREADY(1)

NAME
aa-setready - Set a service (un)ready

SYNOPSIS
aa-setready [-D] [-U | -N] SERVICEDIR

OPTIONS

-D, --double-output
    Enable double-output mode. Instead of using stdout for regular output, and stderr for warnings and errors, everything is sent both to stdout and stderr. This is intended to redirect stderr to a log file, so full output can be both shown on console and logged.

-h, --help
    Show help screen and exit.

-N, --unready
    Mark the service unready and emit event 'N' on event fifodir.

-U, --ready
    Mark the service ready and emit event 'U' on event fifodir. This is the default.

-V, --version
    Show version information and exit.

DESCRIPTION
aa-setready(1) is a simple tool to mark a long-running service ready or "unready".

Marking a service ready or unready means updating its s6 status file, and emitting the corresponding event on the service's fifodir event. Unreadiness is meant for service that can stay up (running) but lose their ready state (e.g. connection dropped).

Obviously you need to have the appropriate permissions to perform all the needed tasks.

RETURN VALUE
aa-setready(1) will return 0 on success, or one of the following on error:

1   Syntax error (e.g. unknown option)

2   Failed to read s6 status file

3   Service is not up

4   Failed to init timestamp (needed for readiness timestamp, when marking ready)

5   Failed to write s6 status file

6   Failed to sent the event on event fifodir

BUGS
They're probably crawling somewhere in there... if you happen to catch one, (or more) report it and I'll do my best to squash it.

REPOSITORY
You can find the latest source code of anopa as well as report bugs and/or suggest features on its GitHub repository, available at <https://github.com/jjk-jacky/anopa>; or visit its official website at <https://jjacky.com/anopa>

AUTHOR

Olivier Brunel <jjk@jjacky.com>